Skip to content
POST

Cancel an order

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/cancel

Cancel order. Read more on Cancelling an order

Parameters2 fields
  • order_idstring · uuidrequiredin path

    Order id

  • Klarna-Idempotency-Keystringoptionalin header

    This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

204
Response0 fields

Order was cancelled.

No response body — this status returns headers only.

403
Response3 fields

Cancel not allowed (e.g. order has captures or is closed)

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

404
Response3 fields

Not Found

  • correlation_idstringoptional
  • error_codestringoptional
    • INTERNAL_ERROR
    • NOT_FOUND
    • TOO_MANY_REQUESTS
    • REFUND_NOT_ALLOWED
    • CAPTURE_NOT_ALLOWED
    • CANCEL_NOT_ALLOWED
    • UPDATE_NOT_ALLOWED
    • NO_SUCH_ORDER
    • BAD_REQUEST
    • PAYLOAD_TOO_LARGE
    • NO_SUCH_CAPTURE
    • RESOURCE_NOT_FOUND
    • +4 more
  • error_messages[]array<string>optional
409
Response0 fields

Conflict

No response body — this status returns headers only.

Errors

CodeStatusWhat it meansRetry
CANCEL_NOT_ALLOWED403The order has captures, so it can only be refunded. Needs AUTHORIZED.Never retry
NO_SUCH_ORDER404The order_id does not exist, or belongs to the other environment.Never retry

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.